#!/bin/sh

# 复制项目的文件到对应docker路径，便于一键生成镜像。
usage() {
	echo "Usage: sh copy.sh"
	exit 1
}


# copy sql
echo "begin copy sql "
cp ../sql/ry_20220814.sql ./mysql/db
cp ../sql/ry_config_20220510.sql ./mysql/db

# copy html
echo "begin copy html "
cp -r ../bawei-ui/dist/** ./nginx/html/dist


# copy jar
echo "begin copy bawei-gateway "
cp ../bawei-gateway/target/bawei-gateway.jar ./bawei/gateway/jar

echo "begin copy bawei-auth "
cp ../bawei-auth/target/bawei-auth.jar ./bawei/auth/jar

echo "begin copy bawei-visual "
cp ../bawei-visual/bawei-monitor/target/bawei-visual-monitor.jar  ./bawei/visual/monitor/jar

echo "begin copy base-system "
cp ../bawei-modules/bawei-system/target/base-system.jar ./bawei/modules/system/jar

echo "begin copy base-file "
cp ../bawei-modules/bawei-file/target/base-file.jar ./bawei/modules/file/jar

echo "begin copy base-job "
cp ../bawei-modules/bawei-job/target/base-job.jar ./bawei/modules/job/jar

echo "begin copy base-gen "
cp ../bawei-modules/bawei-gen/target/base-gen.jar ./bawei/modules/gen/jar

